org.keycloak.models.session

## Interface UserSessionPersisterProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    DisabledUserSessionPersisterProvider, JpaUserSessionPersisterProvider

      public interface UserSessionPersisterProvider
      extends Provider

  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createClientSession(AuthenticatedClientSessionModel clientSession, boolean offline)`
    `void` | `createUserSession(UserSessionModel userSession, boolean offline)`
    `int` | `getUserSessionsCount(boolean offline)`
    `List<UserSessionModel>` | `loadUserSessions(int firstResult, int maxResults, boolean offline, int lastCreatedOn, String lastUserSessionId)`
    `void` | `onClientRemoved(RealmModel realm, ClientModel client)`
    `void` | `onRealmRemoved(RealmModel realm)`
    `void` | `onUserRemoved(RealmModel realm, UserModel user)`
    `void` | `removeClientSession(String userSessionId, String clientUUID, boolean offline)`
    `void` | `removeExpired(RealmModel realm)`
    `void` | `removeUserSession(String userSessionId, boolean offline)`
    `void` | `updateLastSessionRefreshes(RealmModel realm, int lastSessionRefresh, Collection<String> userSessionIds, boolean offline)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### createUserSession

          void createUserSession(UserSessionModel userSession,
                                 boolean offline)

    - #### createClientSession

          void createClientSession(AuthenticatedClientSessionModel clientSession,
                                   boolean offline)

    - #### removeUserSession

          void removeUserSession(String userSessionId,
                                 boolean offline)

    - #### removeClientSession

          void removeClientSession(String userSessionId,
                                   String clientUUID,
                                   boolean offline)

    - #### onRealmRemoved

          void onRealmRemoved(RealmModel realm)

    - #### onClientRemoved

          void onClientRemoved(RealmModel realm,
                               ClientModel client)

    - #### onUserRemoved

          void onUserRemoved(RealmModel realm,
                             UserModel user)

    - #### updateLastSessionRefreshes

          void updateLastSessionRefreshes(RealmModel realm,
                                          int lastSessionRefresh,
                                          Collection<String> userSessionIds,
                                          boolean offline)

    - #### removeExpired

          void removeExpired(RealmModel realm)

    - #### loadUserSessions

          List<UserSessionModel> loadUserSessions(int firstResult,
                                                  int maxResults,
                                                  boolean offline,
                                                  int lastCreatedOn,
                                                  String lastUserSessionId)

    - #### getUserSessionsCount

          int getUserSessionsCount(boolean offline)

Copyright © 2021 JBoss by Red Hat. All rights reserved.